<?php
ini_set('pcre.jit', '0');

class Scanner {
	private $folder = false;
	private $keep_backup = false;
    private $processed = 0;
    private $feedbackid = 0;
	
	public function __construct($feedbackid="", $folder=false) {
		if (is_dir($folder)) {
			$this->feedbackid = $feedbackid;
            $this->folder = $folder;
			
			$this->scanFolder($folder);
		}
	}
	
	private function scanFolder($folder) {
		foreach (scandir($folder) as $path) {
			// undvik dolda filer och mappar
			//echo $path." ".substr(basename($path), 0, 1)."\n";
			if (substr(basename($path), 0, 1) != ".") {
				$path = "${folder}/${path}";
				
				if (is_dir($path)) {
					$this->scanFolder($path);
				} else {
					$this->scanFile($path);
				}
			} 
		}
	}
	
	private function scanFile($path) {
		if (!preg_match("/.*\.xmp/i", $path)) {
			echo $path."\n";
			
			$xmp_path = preg_replace("/(.*)\..*/i", "$1.xmp", $path);
			
			if (is_readable($xmp_path)) {
				//echo "${xmp_path}\n";
				shell_exec("/Applications/brattoo/exiftool/exiftool -P -overwrite_original -tagsfromfile \"${xmp_path}\" -all:all \"$path\"");
                
                $this->processed++;
                file_put_contents("/tmp/".$this->feedbackid,$this->processed);
			}
		}
	}
	
}

$scanner = new Scanner ($argv[1], $argv[2]);

?>
